Package org.apache.any23.vocab

## Class SINDICE

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.SINDICE

-     public class SINDICE
      extends Vocabulary

  This class models an internal Sindice Vocabulary to describe resource domains and Microformat nesting relationships.
  Author:
    Davide Palmisano (dpalmisano@gmail.com), Michele Mostarda (michele.mostarda@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `date` | Date meta property indicating the data generation time.
    `static String` | `DATE` |
    `org.eclipse.rdf4j.model.IRI` | `domain` | This property expresses the DNS domain of the resource on which it is applied.
    `static String` | `DOMAIN` |
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` | The namespace of the vocabulary as a IRI.
    `org.eclipse.rdf4j.model.IRI` | `nesting` | This property links a resource with a blank node that represents a nested Microformat node.
    `static String` | `NESTING` |
    `org.eclipse.rdf4j.model.IRI` | `nesting_original` | This property is used to keep track of the original nested RDF property.
    `static String` | `NESTING_ORIGINAL` |
    `org.eclipse.rdf4j.model.IRI` | `nesting_structured` | This property links the resource with a node representing the nested Microformat
    `static String` | `NESTING_STRUCTURED` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `size` | Size meta property indicating the number of triples within the returned dataset.
    `static String` | `SIZE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SINDICE` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOMAIN

          public static final String DOMAIN

      See Also:
        Constant Field Values

    - #### NESTING

          public static final String NESTING

      See Also:
        Constant Field Values

    - #### NESTING_ORIGINAL

          public static final String NESTING_ORIGINAL

      See Also:
        Constant Field Values

    - #### NESTING_STRUCTURED

          public static final String NESTING_STRUCTURED

      See Also:
        Constant Field Values

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

      The namespace of the vocabulary as a IRI.

    - #### domain

          public final org.eclipse.rdf4j.model.IRI domain

      This property expresses the DNS domain of the resource on which it is applied. It is intended to be used to keep track of the domain provenance of each resource.

    - #### nesting

          public final org.eclipse.rdf4j.model.IRI nesting

      This property links a resource with a blank node that represents a nested Microformat node.

    - #### nesting_original

          public final org.eclipse.rdf4j.model.IRI nesting_original

      This property is used to keep track of the original nested RDF property.

    - #### nesting_structured

          public final org.eclipse.rdf4j.model.IRI nesting_structured

      This property links the resource with a node representing the nested Microformat

    - #### size

          public final org.eclipse.rdf4j.model.IRI size

      Size meta property indicating the number of triples within the returned dataset.

    - #### date

          public final org.eclipse.rdf4j.model.IRI date

      Date meta property indicating the data generation time.

  - ### Method Detail

    - #### getInstance

          public static SINDICE getInstance()